package com.e6yun.project.sdk.api.pojo.basevo.business;

public class VideoTerminalsVO {

    private String channelId;
    private String httpUrl;
    private String resultCode;
    private String resultMessage;
    private String rtmpUrl;
    private Boolean success;
    private String  url;
    private Integer  videoQuality;
    private Integer  videoStatus;
    private String   wid;

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getHttpUrl() {
        return httpUrl;
    }

    public void setHttpUrl(String httpUrl) {
        this.httpUrl = httpUrl;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getResultMessage() {
        return resultMessage;
    }

    public void setResultMessage(String resultMessage) {
        this.resultMessage = resultMessage;
    }

    public String getRtmpUrl() {
        return rtmpUrl;
    }

    public void setRtmpUrl(String rtmpUrl) {
        this.rtmpUrl = rtmpUrl;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getVideoQuality() {
        return videoQuality;
    }

    public void setVideoQuality(Integer videoQuality) {
        this.videoQuality = videoQuality;
    }

    public Integer getVideoStatus() {
        return videoStatus;
    }

    public void setVideoStatus(Integer videoStatus) {
        this.videoStatus = videoStatus;
    }

    public String getWid() {
        return wid;
    }

    public void setWid(String wid) {
        this.wid = wid;
    }

    @Override
    public String toString() {
        return "VideoTerminalsVO{" +
                "channelId='" + channelId + '\'' +
                ", httpUrl='" + httpUrl + '\'' +
                ", resultCode='" + resultCode + '\'' +
                ", resultMessage='" + resultMessage + '\'' +
                ", rtmpUrl='" + rtmpUrl + '\'' +
                ", success=" + success +
                ", url='" + url + '\'' +
                ", videoQuality=" + videoQuality +
                ", videoStatus=" + videoStatus +
                ", wid='" + wid + '\'' +
                '}';
    }
}
